Reset the AI model catalog
import requests
url = "https://platform.ankra.app/api/v1/org/ai-settings/models/reset"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/ai-settings/models/reset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/ai-settings/models/reset \
--header 'Authorization: Bearer <token>'{
"models": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"display_name": "<string>",
"description": "<string>",
"provider": "<string>",
"endpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_id": "<string>",
"tier": "<string>",
"context_window_tokens": 123,
"max_output_tokens": 123,
"supports_tools": true,
"supports_thinking": true,
"supports_images": true,
"is_enabled": true,
"sort_order": 123,
"is_default": true
}
]
}AI Settings
Reset the AI model catalog
Reverts the organisation’s model catalog to the built-in defaults and returns the result. Requires the ai.manage permission.
POST
/
api
/
v1
/
org
/
ai-settings
/
models
/
reset
Reset the AI model catalog
import requests
url = "https://platform.ankra.app/api/v1/org/ai-settings/models/reset"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/ai-settings/models/reset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/ai-settings/models/reset \
--header 'Authorization: Bearer <token>'{
"models": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"display_name": "<string>",
"description": "<string>",
"provider": "<string>",
"endpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_id": "<string>",
"tier": "<string>",
"context_window_tokens": 123,
"max_output_tokens": 123,
"supports_tools": true,
"supports_thinking": true,
"supports_images": true,
"is_enabled": true,
"sort_order": 123,
"is_default": true
}
]
}